Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Signals | Public Member Functions | List of all members
PluginConnectionInterface Class Reference

Allow to connect slots between plugins. More...

`#include <OpenFlipper/BasePlugin/PluginConnectionInterface.hh>`

## Signals
virtual void | crossPluginConnect (QString, const char *, QString, const char *)
| connect signals and slots of plugins across plugins More...

## Public Member Functions
virtual | ~PluginConnectionInterface ()
| Destructor.

## Detailed Description

Allow to connect slots between plugins.

Detailed description
Interface Class which allows to connect signals and slots across plugins

WARNING! Never connect SIGNALS and SLOTS which are already defined in the Interfaces!! WARNING!
This might result in endless loops and breaks OpenFlippers control loops. You have to keep track of your connections yourself. If you call slots which call updatedOject which in turn call your original slot you get a loop and OpenFlipper is not responsible for your endless loops! Be careful!

Definition at line 77 of file PluginConnectionInterface.hh.

## Member Function Documentation

virtual void PluginConnectionInterface::crossPluginConnect | ( | QString | ,
|  | const char * | ,
|  | QString | ,
|  | const char * |
| ) |  |
| inline virtual signal

connect signals and slots of plugins across plugins

Connect a signal of one plugin to another plugin by its scripting name. _pluginName1 is the scripting name of the plugin containing the signal ( Use script editor to check that name) _signal is the signal name. Use it like with regular connect ( `SIGNAL(...)` ) macro _pluginName2 is the scripting name of the plugin containing a slot _slot is the slot name. Use it like with regular connect ( `SLOT(...)` ) macro

Definition at line 89 of file PluginConnectionInterface.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/BasePlugin/PluginConnectionInterface.hh